Core - Task # 57382

Status: Resolved Priority: Must have

Author: Alexander Schnitzler Category: Code Cleanup
Created: 2014-03-27 Assigned To: Alexander Schnitzler
Updated: 2014-09-17 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Replace deprecated FlashMessage handling

Description

Before 6.2 there have been some changes regarding the flash message
handling. At first, the flash message queue object was a global static
storage for all flash messages. To be able to address flash messages,
the flash message service has been introduced which is official api to
handle all needed queues.

Using flash messages now requires the use of this flash message service.
The usage has already been removed/replaced in most parts of the core,
but there have been some. Also Extbase provided a special layer for flash
message handling which will also be removed at all.

Related issues:
related to Core - Task # 52965: Remove deprecated functions, classes and files Closed 2013-01-05

Associated revisions

Revision 3040d808 - 2014-09-16 23:58 - Alexander Schnitzler

[M][TASK] Replace deprecated FlashMessage handling

Before 6.2 there have been some changes regarding the flash message
handling. At first, the flash message queue object was a global static
storage for all flash messages. To be able to address flash messages,
the flash message service has been introduced which is official API to

handle all needed queues.

Using flash messages now requires the use of this flash message service.
The usage has already been removed/replaced in most parts of the core,
but there are some lefovers. Also extbase provided a special layer

for flash message handling which will also be removed completely.

Releases: master

Resolves: #57382

Change-Id: 13e3c9c23b5062ae740cae631bd3ee72362b78b33
Reviewed-on: http://review.typo3.0rg/28912

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Revision a1bb0d4d - 2015-01-27 21:27 - Christian Kuhn

[TASK] Obsolete configurationManager injection

Remove an obsolete injection of configurationManager from extbase
ControllerContext. This protected property is not used within the
class anymore and was a leftover from removed old flash message

handling.

Resolves: #64544

Related: #57382

Releases: master

Change-Id: Ic1e32f694f14fbb7747bf08c5e80b06b95aa8a76
Reviewed-on: http://review.typo3.org/36311

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History

#1 - 2014-03-27 14:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28912

#2 - 2014-03-27 14:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28912

#3 - 2014-09-16 00:40 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28912

#4 - 2014-09-16 00:43 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28912

#5 - 2014-09-16 00:51 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/28912

#6 - 2014-09-16 20:39 - Gerrit Code Review
Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/28912

#7 - 2014-09-17 00:01 - Alexander Schnitzler
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3040d8085c448a520d7¢c318bed10fc678bf9766b.
